## lxi-tools 2.1

=== meson_options.txt ===
option('bashcompletiondir',
       type : 'string',
       description : 'Directory for bash completion scripts ["no" disables]')

option('gui',
       type : 'boolean', value: false,
       description : 'Install lxi-gui')

## lxi-tools 1.15

=== debian/changelog ===
lxi-tools (1.15-1) unstable; urgency=medium

  * Initial upstream release. (Closes: #881717)

 -- Dima Kogan <dkogan@debian.org>  Fri, 22 Dec 2017 21:42:55 -0800

=== debian/control ===
Source: lxi-tools
Section: science
Priority: optional
Build-Depends: debhelper (>= 10), liblxi-dev, libreadline-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.1.2
Homepage: https://lxi-tools.github.io/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lxi-tools.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/lxi-tools.git

Package: lxi-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LAN eXtensions for Instrumentation (LXI) software interface
 lxi-tools is collection of open source software tools that enables control of
 LXI-compatible instruments such as modern oscilloscopes, power supplies,
 spectrum analyzers etc.

## lxi-tools 1.21

=== debian/changelog ===
lxi-tools (1.21-1build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jan 2019 10:26:08 +0000

lxi-tools (1.21-1) unstable; urgency=medium

  * New upstream release
  * New dependency on liblua5.3. Upstream now uses this

 -- Dima Kogan <dkogan@debian.org>  Thu, 29 Nov 2018 22:30:21 -0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: lxi-tools
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10), liblxi-dev, libreadline-dev
+Build-Depends: debhelper (>= 10), liblxi-dev, libreadline-dev, liblua5.2-dev, lua5.2, pkg-config
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.2
 Homepage: https://lxi-tools.github.io/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lxi-tools.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/lxi-tools.git
+Vcs-Git: https://salsa.debian.org/science-team/lxi-tools.git
+Vcs-Browser: https://salsa.debian.org/science-team/lxi-tools
 
 Package: lxi-tools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## lxi-tools 2.0

=== debian/changelog ===
lxi-tools (2.0-1) unstable; urgency=medium

  * New upstream release
    - GUI not built yet: dependencies not yet in Debian

 -- Dima Kogan <dkogan@debian.org>  Sat, 05 Feb 2022 19:59:50 -0800

lxi-tools (1.21-2) unstable; urgency=medium

  * Fixed debian/watch

 -- Dima Kogan <dkogan@debian.org>  Fri, 19 Nov 2021 12:57:23 -0800

## lxi-tools 2.1

=== debian/changelog ===
lxi-tools (2.1-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 07 Feb 2022 11:51:39 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lxi-tools
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10), liblxi-dev, libreadline-dev, liblua5.2-dev, lua5.2, pkg-config
+Build-Depends: debhelper-compat (= 13), liblxi-dev, libreadline-dev, liblua5.3-dev, lua5.3, pkg-config, meson, bash-completion
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.2

## lxi-tools 2.4

=== debian/changelog ===
lxi-tools (2.4-1) unstable; urgency=medium

  * New upstream release
  * The lxi-gui is shipped; new GTK dependencies are required

 -- Dima Kogan <dkogan@debian.org>  Mon, 19 Dec 2022 22:45:16 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,19 @@
 Source: lxi-tools
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13), liblxi-dev, libreadline-dev, liblua5.3-dev, lua5.3, pkg-config, meson, bash-completion
+Build-Depends:
+ debhelper-compat (= 13),
+ liblxi-dev,
+ libreadline-dev,
+ liblua5.3-dev,
+ lua5.3,
+ pkg-config,
+ meson,
+ bash-completion,
+ libgtk-4-dev,
+ libgtksourceview-5-dev,
+ libadwaita-1-dev,
+ libjson-glib-dev
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.2

=== debian/watch ===
version=4
https://github.com/lxi-tools/lxi-tools/tags .*/v(\d[\d\.]+).tar.gz

## lxi-tools 2.7

=== debian/changelog ===
lxi-tools (2.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:04 +1100

lxi-tools (2.7-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:37:38 +0000

lxi-tools (2.7-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 11 Nov 2023 12:11:48 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libgtksourceview-5-dev,
  libadwaita-1-dev,
  libjson-glib-dev
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.2
 Homepage: https://lxi-tools.github.io/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## lxi-tools 2.8

=== meson_options.txt ===
option('bashcompletiondir',
       type : 'string',
       description : 'Directory for bash completion scripts ["no" disables]')

option('gui',
       type : 'boolean', value: true,
       description : 'Install lxi-gui')

=== debian/changelog ===
lxi-tools (2.8-2) unstable; urgency=medium

  * Team upload
  * Update to lua5.4

 -- Bastian Germann <bage@debian.org>  Fri, 20 Feb 2026 11:34:57 +0100

lxi-tools (2.8-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sun, 22 Dec 2024 17:20:27 -0800

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
  debhelper-compat (= 13),
  liblxi-dev,
  libreadline-dev,
- liblua5.3-dev,
- lua5.3,
- pkg-config,
+ liblua5.4-dev,
+ lua5.4,
+ pkgconf,
  meson,
  bash-completion,
  libgtk-4-dev,
  libgtksourceview-5-dev,
  libadwaita-1-dev,
  libjson-glib-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.2
 Homepage: https://lxi-tools.github.io/
